% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gendataWmm.R
\name{gendataWmm}
\alias{gendataWmm}
\title{Generation of Procscal Data}
\usage{
gendataWmm(ns, nv, nr, genm = 0, genW = 0, genT = 1, genW2 = 0,
  genmu = 0, mu0 = 0, genD1 = 0, genD2 = 0, eqm = 0, eqW = 0,
  eqT = 0, eqW2 = 0, diagW2 = 1, eqD1 = 0, eqD2 = 0, genV = 0,
  diagV = 1, pcA = 0, errstd = 0, pmiss = 0, minWD = 0.2)
}
\arguments{
\item{ns}{# of matrices to be generated.}

\item{nv}{# of rows of the matrices to be rotated.}

\item{nr}{# of columns of the matrices to be rotated.}

\item{genm}{= 1 to generate m vectors, the column mean}

\item{genW}{= 1 to generate scalar W matrices, the left weight \cr
= 2  to generate diagonal W matrices, the left weight}

\item{genT}{= 0 to skip the generation of T matrices, the rotation}

\item{genW2}{= 1 to generate W2 matrices, the right weigt}

\item{genmu}{= 1 to generate mu matrix}

\item{mu0}{The common value of mu}

\item{genD1}{= 1 to generate D1 matrices,}

\item{genD2}{= 1 to generate D2 matrices,}

\item{eqm}{= 1 to generate common m}

\item{eqW}{= 1 to generate common W}

\item{eqT}{= 1 to generate common T}

\item{eqW2}{= 1 to generate common W2}

\item{diagW2}{= 0 to make W2 non-diagonal}

\item{eqD1}{= 1 to generate common WD1}

\item{eqD2}{= 1 to generate common D2}

\item{genV}{= 1 to generate V matrix}

\item{diagV}{= 0 to make V non-diagonal}

\item{pcA}{= 1 to make the column variances of A equal \cr
= 2 to column orthogonalize A}

\item{errstd}{std of errors to be added to final C matrix}

\item{pmiss}{= proportion of missing elements of C matrix}

\item{minWD}{= minimum value of W and D matrices}
}
\value{
A list of all the matrices and the parameter values.
}
\description{
Generation of Procscal Data
}
\details{
This program generates A, mk, Tk, Wk, W2k, D1k, D2k matrices \cr
so that the k-th target matrix Ck is created as \cr
 Ck = inv(D1k)  ( A Wk Tk W2k + 1 mk' ) inv(D2k) + Ek, k=1,2,...,ns, \cr
 where Disp(Ek) = errstd^2*solve(V). \cr
\cr
When genmu=1, we set genm=0; genD1=0; genD2=0; genW2=0; genV=0 and \cr
 muk = mu0 + A uk \cr
will be generated via uk where muk is nv x 1 and uk is nr x 1. \cr
\cr
For examples, see procotWKS or procscal.
}
