% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gendatafa_A.R
\name{gendatafa_A}
\alias{gendatafa_A}
\title{Generate Simple Structure Factor Pattern}
\usage{
gendatafa_A(n, ndim, large = 0.8, small = 0.2, sd = 0.07, pc = 0,
  reorder = 0)
}
\arguments{
\item{n}{# of variables}

\item{ndim}{# of dimensions}

\item{large}{The mean of large factor loadings}

\item{small}{The mean of small factor loadings}

\item{sd}{The standard deviation of factor loadings}

\item{pc}{= 1 to rotate the result so that A'A=diag. \cr
= 0 to do nothing.}

\item{reorder}{= 1 to reorder the rows by reorder_fa. \cr
= 2 to reorder the rows and columns by reorder_fa.}
}
\value{
A list of \cr
loadings = A matrix \cr
loadings01 = A0 matrix \cr
rotmat = The rotation matrix to pc \cr
row_order = The row reorder index \cr
col_order = The col reorder index
}
\description{
Generate Simple Structure Factor Pattern
}
\details{
First, an
Independent Cluster factor loadings matrix, A0, which is a
n x ndim block diagonal rectangular matrix consisting of 1s and 0s,
 will be generated. \cr
Then, the 1s will be replaced by the random variables from
N(large,sd^2), and 0s, by the ones from N(small,sd^2). \cr
If pc=1, the above loadings matrix A will be rotated so that
\code{t(A)\%*\%A=I}. \cr
If reorder=1 or 2, the above A matrix will be reordered. \cr
\cr
Therefore, if \cr
\code{resg=gendatafa_A(n,ndim, pc=1, reorder=2)}
\cr
\code{(resg$loadings01\%*\%resg$rotmat)[resg$row_order,resg$col_order]}
\cr
make resg$loadings and A0 comparable.

\code{large=1, small=0,  sd=0, pc=0, reorder=0} will create
a 0-1 block diagonal matrix.
}
\examples{
A01=gendatafa_A( 20, 4, large=1,small=0, pc=0, sd=0, reorder=0 )
A=gendatafa_A( 20, 4 )

}
